org.apache.commons.configuration2.io

## Class FileHandlerListenerAdapter

- java.lang.Object
- - org.apache.commons.configuration2.io.FileHandlerListenerAdapter

- All Implemented Interfaces:
    FileHandlerListener

      public class FileHandlerListenerAdapter
      extends Object
      implements FileHandlerListener

  An adapter class simplifying the implementation of custom `FileHandlerListener` classes.

  This class provides empty dummy implementations for all methods defined by the `FileHandlerListener` interface. Custom listener implementations can extend this adapter class and override only the methods they actually need.

  Since:
    2.0
  Version:
    $Id: FileHandlerListenerAdapter.java 1842194 2018-09-27 22:24:23Z ggregory $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileHandlerListenerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loaded(FileHandler handler)` Notification that the associated file has been loaded.
    `void` | `loading(FileHandler handler)` Notification that the associated file is about to be loaded.
    `void` | `locationChanged(FileHandler handler)` Notification that a property of the monitored `FileHandler` has changed.
    `void` | `saved(FileHandler handler)` Notification that the associated file has been saved.
    `void` | `saving(FileHandler handler)` Notification that the associated file is about to be saved.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileHandlerListenerAdapter

          public FileHandlerListenerAdapter()

  - ### Method Detail

    - #### loading

          public void loading(FileHandler handler)

      Description copied from interface: `FileHandlerListener`
      Notification that the associated file is about to be loaded. This method is called immediately before the load operation.
      Specified by:
        `loading` in interface `FileHandlerListener`
      Parameters:
        `handler` - the file handler

    - #### loaded

          public void loaded(FileHandler handler)

      Description copied from interface: `FileHandlerListener`
      Notification that the associated file has been loaded. This method is called directly after the load operation.
      Specified by:
        `loaded` in interface `FileHandlerListener`
      Parameters:
        `handler` - the file handler

    - #### saving

          public void saving(FileHandler handler)

      Description copied from interface: `FileHandlerListener`
      Notification that the associated file is about to be saved. This method is called immediately before the save operation.
      Specified by:
        `saving` in interface `FileHandlerListener`
      Parameters:
        `handler` - the file handler

    - #### saved

          public void saved(FileHandler handler)

      Description copied from interface: `FileHandlerListener`
      Notification that the associated file has been saved. This method is called directly after the save operation.
      Specified by:
        `saved` in interface `FileHandlerListener`
      Parameters:
        `handler` - the file handler

    - #### locationChanged

          public void locationChanged(FileHandler handler)

      Description copied from interface: `FileHandlerListener`
      Notification that a property of the monitored `FileHandler` has changed.
      Specified by:
        `locationChanged` in interface `FileHandlerListener`
      Parameters:
        `handler` - the file handler

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.